import { DeepPartial } from 'utility-types';
export declare type NestedPartial<T> = DeepPartial<T>;
/**
 * Returns a copy of seed with any non-undefined parameters from override
 * @param seed the object that is used establish the start of what you want the result to look like. This is the object that will be overriden before a result is produced
 * @param override the data that will be used when replacing the seed's key/values
 */
export declare const mergePartially: <T1 extends object, T2 extends DeepPartial<T1>>(seed: T1, override: T2) => T1;
